curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Vérifiez l’état de la mise à jour du dossier. Les mises à jour de dossiers se font de manière asynchrone.
curl --request GET \
--url https://api.hubapi.com/files/v3/folders/update/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"taskId": "<string>",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": {
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"path": "<string>"
}
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
TaskID de la mise à jour du dossier
successful operation
Moment où les changements demandées ont été terminés.
Horodatage représentant quand la tâche a commencé.
Statut actuel de la tâche
CANCELED, COMPLETE, PENDING, PROCESSING ID de la tâche.
Erreurs détaillées résultant de la tâche.
Afficher attributs enfants
Lien pour vérifier le statut de la tâche.
Afficher attributs enfants
Nombre d'erreurs résultant des changements demandés.
Horodatage représentant quand la tâche a été demandée.
Afficher attributs enfants